%global momorel 1
%global gtkver 3.22

Name:           mate-themes
Version:        3.22.18
Release:        %{momorel}m%{?dist}
Summary:        MATE Desktop themes
Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://mate-desktop.org

Source0:        http://pub.mate-desktop.org/releases/themes/%{gtkver}/%{name}-%{version}.tar.xz
NoSource:       0

BuildRequires:  icon-naming-utils
BuildRequires:  mate-common
BuildRequires:  mate-icon-theme
BuildRequires:  gtk2-devel
BuildRequires:  gtk3-devel >= %{gtkver}
BuildRequires:  gdk-pixbuf2-devel


Requires:       mate-icon-theme
Requires:       gtk2-engines
#Requires:       gtk-murrine-engine
# theme engine for BlackMATE and GreenLaguna
Requires:       adwaita-gtk3-theme

BuildArch:      noarch

%description
MATE Desktop themes


%prep
%setup -q 

# needed for git snapshots
#NOCONFIGURE=1 ./autogen.sh


%build
%configure --enable-test-themes  \
           --enable-icon-mapping

make %{?_smp_mflags} V=1


%install
rm -rf %{buildroot}

%{make_install}

find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'

#%find_lang %{name} --with-gnome --all-name

# clean up package
rm -rf %{buildroot}%{_datadir}/themes/PrintLarge/
rm -rf %{buildroot}%{_datadir}/themes/Quid/
rm -rf %{buildroot}%{_datadir}/themes/Simply/
rm -rf %{buildroot}%{_datadir}/themes/ContrastHighLargePrint/
rm -rf %{buildroot}%{_datadir}/themes/ContrastHighLargePrintInverse/
rm -rf %{buildroot}%{_datadir}/themes/ContrastLowLargePrint/
rm -rf %{buildroot}%{_datadir}/themes/ContrastLow/
rm -rf %{buildroot}%{_datadir}/themes/ContrastHighInverse/
rm -rf %{buildroot}%{_datadir}/themes/ContrastHigh
rm -rf %{buildroot}%{_datadir}/icons/ContrastHighInverse/
rm -rf %{buildroot}%{_datadir}/icons/ContrastHighLargePrint/
rm -rf %{buildroot}%{_datadir}/icons/ContrastHighLargePrintInverse/
rm -rf %{buildroot}%{_datadir}/icons/ContrastHigh-SVG/
rm -rf %{buildroot}%{_datadir}/icons/MateLargePrint/
rm -rf %{buildroot}%{_datadir}/icons/Quid/
rm -rf %{buildroot}%{_datadir}/themes/AlaDelta/
rm -rf %{buildroot}%{_datadir}/themes/Atantla/
rm -rf %{buildroot}%{_datadir}/themes/Green-Submarine/

%clean
rm -rf %{buildroot}

%post
for icon_theme in \
  Fog ;
do
  /bin/touch --no-create %{_datadir}/icons/${icon_theme} &> /dev/null || :
done

%postun
if [ $1 -eq 0 ]; then
for icon_theme in \
  Fog ;
do
  /bin/touch --no-create %{_datadir}/icons/${icon_theme} &> /dev/null || :
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/${icon_theme} &> /dev/null || :
done
fi

%posttrans
for icon_theme in \
  Fog ;
do
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/${icon_theme} &> /dev/null || :
done


#%files -f %{name}.lang
%files 
%doc AUTHORS COPYING README
%{_datadir}/themes/GreenLaguna/
%{_datadir}/themes/Menta/
%{_datadir}/themes/BlueMenta/
%{_datadir}/themes/BlueMenta/
%{_datadir}/themes/Blue-Submarine/
#%{_datadir}/themes/BlackMenta/
%{_datadir}/themes/BlackMATE/
#%{_datadir}/themes/Fog/
#%{_datadir}/themes/Reverse/
%{_datadir}/themes/Shiny/
%{_datadir}/themes/TraditionalOk/
%{_datadir}/themes/TraditionalGreen/
%{_datadir}/themes/HighContrast/*
%{_datadir}/themes/HighContrastInverse/*
#%{_datadir}/icons/Fog/
%{_datadir}/icons/mate/cursors/
%{_datadir}/icons/mate-black/
%{_datadir}/icons/ContrastHigh/


%changelog
* Sat Aug 11 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.18-1m)
- update 3.22.18

* Wed Jul 25 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.17-1m)
- update 3.22.17

* Sun Apr 01 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.16-1m)
- update 3.22.16

* Thu Feb 08 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.15-1m)
- update 3.22.15

* Wed Sep 20 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.14-1m)
- update 3.22.14

* Thu Jul 20 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.13-1m)
- update 3.22.13

* Wed Jul 05 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.12-1m)
- update 3.22.12

* Sat Apr 29 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.10-1m)
- update 3.22.10

* Wed Mar 15 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.7-1m)
- update 3.22.7

* Fri Jan 20 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.6-1m)
- update 3.22.6

* Thu Sep 08 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (3.14.3-1m)
- update 3.14.3

* Mon Jan 04 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.12.2-1m)
- update 1.12.2

* Mon Dec 14 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.12.1-1m)
- update 1.12.1

* Sun Nov 15 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.12.0-1m)
- update 1.12.0

* Fri Sep 25 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10.5-1m)
- update 1.10.5

* Mon Aug 24 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10.4-1m)
- update 1.10.4

* Sun Aug 16 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10.3-1m)
- update 1.10.3

* Sun May 10 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10.0-1m)
- update 1.10.0

* Sun Jan 18 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.3-1m)
- update 1.9.3

* Mon Nov 24 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.2-1m)
- update 1.9.2

* Fri Oct 24 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.1-1m)
- update 1.9.1

* Wed Jul 16 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-1m)
- initial commit Momonga Linux

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Jun 01 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.0-1
- all major themes has now GTK+-3.12 support
- don't build with all themes
- remove obsolete themes

* Fri May 16 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.1-1
- update to 1.8.1 release

* Wed Mar 05 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.1-0.1.git20140304.5a900e
- update to git snapshot from 2014.03.04
- add better git snapshot usage
- BlackMATE, GreenLaguna, Menta and BlueMenta supports now GTk3-3.10
- Good bye adwaita engine warning

* Wed Mar 05 2014 Dan Mashal <dan.mashal@fedoraproject.org> - 1.8.0-1
- Update to 1.8.0

* Wed Feb 19 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.90-1
- update to 1.7.90

* Sat Jan 18 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.2-1
- update to 1.7.2
- use modern 'make install' macro
- add --with-gnome --all-name for find language

* Sun Nov 24 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.2-0.2.git27da094
- update to latest git snapshot
- rename Menta-Blue to BlueMenta
- update BlackMATE to GTK3-3.8

* Thu Nov 14 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.2-0.1.git8a12f75
- update to latest snapshot
- new theme Menta-Blue
- syncronize view of panel menus

* Sat Oct 26 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.1-1
- update to 1.7.1 release for fedora > f19
- Menta theme is updated to GTK3-3.10

* Thu Aug 15 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.2-0.2.git3fc43dd
- update GreenLaguna theme to GTK3-8

* Sun Aug 04 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.2-0.1.git15baae1
- fix usage of cursor theme slider
- fix panel-applets menu selected bg by BlackMATE theme

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 17 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-2
- fix GTK3 GreenLaguna menu background
- add runtime require adwaita-gtk3-theme

* Fri Jun 07 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-1
- Update to latest 1.6.1 stable release
- removal of aldabra theme, fix #907565

* Wed Apr 03 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.0-1
- Update to latest 1.6.0 stable release.

* Tue Mar 26 2013 Dan Mashal <dan.mashal@fedoraproject.org> 1.5.1-1
- Update to latest upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 08 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-1
- update to 1.5.0 release

* Sat Oct 20 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-7
- add requires gtk2-engines and mate-icon-theme 

* Tue Oct 16 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-6
- fix mistake in scriptlets from last commit

* Tue Oct 16 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-5
- Fix scriplets
- add requires gtk-murrine-engine

* Sun Oct 14 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-4
- Update BR and add test themes

* Wed Oct 03 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-3
- Fix missing icon scriptlets

* Sun Sep 30 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Update br and post scriptlets as per package review

* Tue Sep 25 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
